Subject: bug#9480: 24.0.50; (vc-git) stash@{n} - requires shell quoting?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Sep 2011 00:37:22 -0400

> From: Glenn Morris <[email-masked]>
> Cc: Jambunathan K <[email-masked]>,  [email-masked]
> Date: Tue, 13 Sep 2011 00:03:10 -0400
> 
> Eli Zaretskii wrote:
> 
> > Perhaps someone who uses this on Unix or GNU system could try this
> > command and see if it needs quoting in general, not just on Windows
> > with Cygwin Bash.
> 
> FWIW, I can only find (t)csh where `echo stash@{0}' does not print "stash@{0}".

I wasn't able to reproduce it with Bash on a GNU system, either, but I
thought I was missing something.  Neither do I see any special
handling of the braces in the w32-specific parts of Emacs.

So it's a mystery why this happens with the Cygwin Bash.  Jambunathan,
could you perhaps post a question to the Cygwin mailing list?